import { h, Host } from '@stencil/core';
export class EzLoadingBar {
  constructor() {
    this._showLoading = true;
  }
  /**
   * Oculta o ez-loading-bar.
   */
  async hide() {
    this._showLoading = false;
  }
  /**
   * Exibe o ez-loading-bar.
   */
  async show() {
    this._showLoading = true;
  }
  render() {
    return (h(Host, null, this._showLoading && h("div", { class: "loading-bar" }, h("div", { class: "loading-bar__container" }))));
  }
  static get is() { return "ez-loading-bar"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["ez-loading-bar.css"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["ez-loading-bar.css"]
    };
  }
  static get states() {
    return {
      "_showLoading": {}
    };
  }
  static get methods() {
    return {
      "hide": {
        "complexType": {
          "signature": "() => Promise<void>",
          "parameters": [],
          "references": {
            "Promise": {
              "location": "global"
            }
          },
          "return": "Promise<void>"
        },
        "docs": {
          "text": "Oculta o ez-loading-bar.",
          "tags": []
        }
      },
      "show": {
        "complexType": {
          "signature": "() => Promise<void>",
          "parameters": [],
          "references": {
            "Promise": {
              "location": "global"
            }
          },
          "return": "Promise<void>"
        },
        "docs": {
          "text": "Exibe o ez-loading-bar.",
          "tags": []
        }
      }
    };
  }
}
